## refpolicy 2.20180114

=== Makefile ===
#
# Makefile for the security policy.
#
# Targets:
#
# install       - compile and install the policy configuration, and context files.
# load          - compile, install, and load the policy configuration.
# reload        - compile, install, and load/reload the policy configuration.
# relabel       - relabel filesystems based on the file contexts configuration.
# checklabels   - check filesystems against the file context configuration
# restorelabels - check filesystems against the file context configuration
#                 and restore the label of files with incorrect labels
# policy        - compile the policy configuration locally for testing/development.
#
# The default target is 'policy'.
#
#
# Please see build.conf for policy build options.
#

########################################
#
# NO OPTIONS BELOW HERE
#

# Include the local build.conf if it exists, otherwise
# include the configuration of the root directory.
include build.conf

ifdef LOCAL_ROOT
	-include $(LOCAL_ROOT)/build.conf
endif

# refpolicy version
version := $(shell cat VERSION)

ifdef LOCAL_ROOT
builddir := $(LOCAL_ROOT)/
tmpdir := $(LOCAL_ROOT)/tmp
tags := $(LOCAL_ROOT)/tags
else
tmpdir := tmp
tags := tags
endif

# executable paths
BINDIR ?= /usr/bin
SBINDIR ?= /usr/sbin
ifdef TEST_TOOLCHAIN
tc_usrbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib:$(TEST_TOOLCHAIN)/usr/lib" $(TEST_TOOLCHAIN)$(BINDIR)
tc_usrsbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib:$(TEST_TOOLCHAIN)/usr/lib" $(TEST_TOOLCHAIN)$(SBINDIR)
tc_sbindir := env LD_LIBRARY_PATH="$(TEST_TOOLCHAIN)/lib:$(TEST_TOOLCHAIN)/usr/lib" $(TEST_TOOLCHAIN)/sbin
else
tc_usrbindir := $(BINDIR)
tc_usrsbindir := $(SBINDIR)
tc_sbindir := /sbin
endif
CHECKPOLICY ?= $(tc_usrbindir)/checkpolicy
CHECKMODULE ?= $(tc_usrbindir)/checkmodule
SEMODULE ?= $(tc_usrsbindir)/semodule
SEMOD_PKG ?= $(tc_usrbindir)/semodule_package
SEMOD_LNK ?= $(tc_usrbindir)/semodule_link
SEMOD_EXP ?= $(tc_usrbindir)/semodule_expand
LOADPOLICY ?= $(tc_usrsbindir)/load_policy
SETFILES ?= $(tc_sbindir)/setfiles
XMLLINT ?= $(BINDIR)/xmllint
SECHECK ?= $(BINDIR)/sechecker

# interpreters and aux tools
AWK ?= gawk
GREP ?= egrep
INSTALL ?= install
M4 ?= m4 -E -E
PYTHON ?= python -t -t -E -W error
SED ?= sed
SORT ?= LC_ALL=C sort
UMASK ?= umask

CFLAGS += -Wall -Wextra -Werror -O2

# policy source layout
poldir := policy
moddir := $(poldir)/modules
flaskdir := $(poldir)/flask
secclass := $(flaskdir)/security_classes
isids := $(flaskdir)/initial_sids
avs := $(flaskdir)/access_vectors

# local source layout
ifdef LOCAL_ROOT
local_poldir := $(LOCAL_ROOT)/policy
local_moddir := $(local_poldir)/modules
endif

# policy building support tools
support := support
genxml := $(PYTHON) $(support)/segenxml.py
gendoc := $(PYTHON) $(support)/sedoctool.py
genperm := $(PYTHON) $(support)/genclassperms.py
policyvers := $(PYTHON) $(support)/policyvers.py
fcsort := $(tmpdir)/fc_sort
setbools := $(AWK) -f $(support)/set_bools_tuns.awk
get_type_attr_decl := $(SED) -r -f $(support)/get_type_attr_decl.sed
comment_move_decl := $(SED) -r -f $(support)/comment_move_decl.sed
gennetfilter := $(PYTHON) $(support)/gennetfilter.py
m4iferror := $(support)/iferror.m4
m4divert := $(support)/divert.m4
m4undivert := $(support)/undivert.m4
m4terminate := $(support)/fatal_error.m4
# use our own genhomedircon to make sure we have a known usable one,
# so policycoreutils updates are not required (RHEL4)
genhomedircon := $(PYTHON) $(support)/genhomedircon.py

# documentation paths
docs := doc
xmldtd := $(docs)/policy.dtd
metaxml := metadata.xml
doctemplate := $(docs)/templates
docfiles := $(docs)/Makefile.example $(addprefix $(docs)/,example.te example.if example.fc)

ifndef LOCAL_ROOT
polxml := $(docs)/policy.xml
tunxml := $(docs)/global_tunables.xml
boolxml := $(docs)/global_booleans.xml
htmldir := $(docs)/html
else
polxml := $(LOCAL_ROOT)/doc/policy.xml
tunxml := $(LOCAL_ROOT)/doc/global_tunables.xml
boolxml := $(LOCAL_ROOT)/doc/global_booleans.xml
htmldir := $(LOCAL_ROOT)/doc/html
endif

# config file paths
globaltun := $(poldir)/global_tunables
globalbool := $(poldir)/global_booleans
user_files := $(poldir)/users
policycaps := $(poldir)/policy_capabilities
ctx_defaults := $(poldir)/context_defaults

# local config file paths
ifndef LOCAL_ROOT
mod_conf := $(poldir)/modules.conf
booleans := $(poldir)/booleans.conf
tunables := $(poldir)/tunables.conf
else
mod_conf := $(local_poldir)/modules.conf
booleans := $(local_poldir)/booleans.conf
tunables := $(local_poldir)/tunables.conf
endif

# install paths
PKGNAME ?= refpolicy-$(version)
prefix := $(DESTDIR)/usr
topdir := $(DESTDIR)/etc/selinux
installdir := $(topdir)/$(strip $(NAME))
srcpath := $(installdir)/src
userpath := $(installdir)/users
policypath := $(installdir)/policy
contextpath := $(installdir)/contexts
homedirpath := $(contextpath)/files/homedir_template
fcpath := $(contextpath)/files/file_contexts
fcsubspath := $(contextpath)/files/file_contexts.subs_dist
ncpath := $(contextpath)/netfilter_contexts
sharedir := $(prefix)/share/selinux
modpkgdir := $(sharedir)/$(strip $(NAME))
headerdir := $(modpkgdir)/include
docsdir := $(prefix)/share/doc/$(PKGNAME)

# enable MLS if requested.
ifeq "$(TYPE)" "mls"
	M4PARAM += -D enable_mls
	CHECKPOLICY += -M
	CHECKMODULE += -M
	gennetfilter += -m
endif

# enable MLS if MCS requested.
ifeq "$(TYPE)" "mcs"
	M4PARAM += -D enable_mcs
	CHECKPOLICY += -M
	CHECKMODULE += -M
	gennetfilter += -c
endif

# enable distribution-specific policy
ifneq ($(DISTRO),)
	M4PARAM += -D distro_$(DISTRO)
endif

ifeq "$(DISTRO)" "ubuntu"
	M4PARAM += -D distro_debian
endif

ifeq "$(SYSTEMD)" "y"
	M4PARAM += -D init_systemd
endif

ifneq ($(OUTPUT_POLICY),)
	CHECKPOLICY += -c $(OUTPUT_POLICY)
endif

ifneq "$(CUSTOM_BUILDOPT)" ""
	M4PARAM += $(foreach opt,$(CUSTOM_BUILDOPT),-D $(opt))
endif

# if not set, use the type as the name.
NAME ?= $(TYPE)

# default unknown permissions setting
UNK_PERMS ?= deny

ifeq ($(DIRECT_INITRC),y)
	M4PARAM += -D direct_sysadm_daemon
endif

ifeq "$(WERROR)" "y"
	M4PARAM += -D m4_werror
endif

ifeq "$(UBAC)" "y"
	M4PARAM += -D enable_ubac
endif

# default MLS/MCS sensitivity and category settings.
MLS_SENS ?= 16
MLS_CATS ?= 1024
MCS_CATS ?= 1024

ifeq ($(QUIET),y)
	verbose = @
endif

M4PARAM += -D mls_num_sens=$(MLS_SENS) -D mls_num_cats=$(MLS_CATS) -D mcs_num_cats=$(MCS_CATS) -D hide_broken_symptoms

# we need exuberant ctags; unfortunately it is named
# differently on different distros
ifeq ($(DISTRO),debian)
	CTAGS := ctags-exuberant
endif

ifeq ($(DISTRO),gentoo)
	CTAGS := exuberant-ctags
endif

CTAGS ?= ctags

m4support := $(m4divert) $(wildcard $(poldir)/support/*.spt)
ifdef LOCAL_ROOT
m4support += $(wildcard $(local_poldir)/support/*.spt)
endif
m4support += $(m4undivert)

appconf := config/appconfig-$(TYPE)
seusers := $(appconf)/seusers
appdir := $(contextpath)
user_default_contexts := $(wildcard config/appconfig-$(TYPE)/*_default_contexts)
user_default_contexts_names := $(addprefix $(contextpath)/users/,$(subst _default_contexts,,$(notdir $(user_default_contexts))))
appfiles := $(addprefix $(appdir)/,default_contexts default_type initrc_context failsafe_context userhelper_context removable_context dbus_contexts sepgsql_contexts x_contexts customizable_types securetty_types lxc_contexts openrc_contexts virtual_domain_context virtual_image_context) $(contextpath)/files/media $(fcsubspath) $(user_default_contexts_names)
net_contexts := $(builddir)net_contexts

all_layers := $(shell find $(wildcard $(moddir)/*) -maxdepth 0 -type d)
ifdef LOCAL_ROOT
all_layers += $(shell find $(wildcard $(local_moddir)/*) -maxdepth 0 -type d)
endif

generated_te := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te.in)))
generated_if := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.if.in)))
generated_fc := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.fc.in)))

# sort here since it removes duplicates, which can happen
# when a generated file is already generated
detected_mods := $(sort $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te)) $(generated_te))

modxml := $(addprefix $(tmpdir)/, $(detected_mods:.te=.xml))
layerxml := $(sort $(addprefix $(tmpdir)/, $(notdir $(addsuffix .xml,$(all_layers)))))
layer_names := $(sort $(notdir $(all_layers)))
all_metaxml = $(call detect-metaxml, $(layer_names))

# modules.conf setting for base module
configbase := base

# modules.conf setting for loadable module
configmod := module

# modules.conf setting for unused module
configoff := off

# test for module overrides from command line
mod_test = $(filter $(APPS_OFF), $(APPS_BASE) $(APPS_MODS))
mod_test += $(filter $(APPS_MODS), $(APPS_BASE))
ifneq "$(strip $(mod_test))" ""
        $(error Applications must be base, module, or off, and not in more than one list! $(strip $(mod_test)) found in multiple lists!)
endif

# add on suffix to modules specified on command line
cmdline_base := $(addsuffix .te,$(APPS_BASE))
cmdline_mods := $(addsuffix .te,$(APPS_MODS))
cmdline_off := $(addsuffix .te,$(APPS_OFF))

# extract settings from modules.conf
mod_conf_base := $(addsuffix .te,$(sort $(shell $(AWK) '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configbase)") print $$1 }' $(mod_conf) 2> /dev/null)))
mod_conf_mods := $(addsuffix .te,$(sort $(shell $(AWK) '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configmod)") print $$1 }' $(mod_conf) 2> /dev/null)))
mod_conf_off := $(addsuffix .te,$(sort $(shell $(AWK) '/^[[:blank:]]*[[:alpha:]]/{ if ($$3 == "$(configoff)") print $$1 }' $(mod_conf) 2> /dev/null)))

base_mods := $(cmdline_base)
mod_mods := $(cmdline_mods)
off_mods := $(cmdline_off)

base_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_base))
mod_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_mods))
off_mods += $(filter-out $(cmdline_off) $(cmdline_base) $(cmdline_mods), $(mod_conf_off))

# add modules not in modules.conf to the off list
off_mods += $(filter-out $(base_mods) $(mod_mods) $(off_mods),$(notdir $(detected_mods)))

# filesystems to be used in labeling targets
filesystems = $(shell mount | grep -v "context=" | egrep -v '\((|.*,)bind(,.*|)\)' | $(AWK) '/(ext[234]|btrfs| xfs| jfs).*rw/{print $$3}';)
fs_names := "btrfs ext2 ext3 ext4 xfs jfs"

########################################
#
# Functions
#

# detect-metaxml layer_names
ifdef LOCAL_ROOT
define detect-metaxml
	$(shell for i in $1; do \
		if [ -d $(moddir)/$$i -a -d $(local_moddir)/$$i ]; then \
			if [ -f $(local_moddir)/$$i/$(metaxml) ]; then \
				echo $(local_moddir)/$$i/$(metaxml) ;\
			else \
				echo $(moddir)/$$i/$(metaxml) ;\
			fi \
		elif [ -d $(local_moddir)/$$i ]; then
			echo $(local_moddir)/$$i/$(metaxml) ;\
		else \
			echo $(moddir)/$$i/$(metaxml) ;\
		fi \
	done )
endef
else
define detect-metaxml
	$(shell for i in $1; do echo $(moddir)/$$i/$(metaxml); done)
endef
endif

########################################
#
# Load appropriate rules
#

ifeq ($(MONOLITHIC),y)
	include Rules.monolithic
else
	include Rules.modular
endif

########################################
#
# Generated files
#
# NOTE: There is no "local" version of these files.
#
generate: $(generated_te) $(generated_if) $(generated_fc)

$(moddir)/kernel/corenetwork.if: $(moddir)/kernel/corenetwork.te.in $(moddir)/kernel/corenetwork.if.m4 $(moddir)/kernel/corenetwork.if.in
	@echo "#" > $@
	@echo "# This is a generated file!  Instead of modifying this file, the" >> $@
	@echo "# $(notdir $@).in or $(notdir $@).m4 file should be modified." >> $@
	@echo "#" >> $@
	$(verbose) cat $@.in >> $@
	$(verbose) $(GREP) "^[[:blank:]]*(network_(interface|node|port|packet)(_controlled)?)|ib_(pkey|endport)\(.*\)" $< \
		| $(M4) -D self_contained_policy $(M4PARAM) $(m4divert) $@.m4 $(m4undivert) - \
		| $(SED) -e 's/dollarsone/\$$1/g' -e 's/dollarszero/\$$0/g' >> $@

$(moddir)/kernel/corenetwork.te: $(m4divert) $(moddir)/kernel/corenetwork.te.m4 $(m4undivert) $(moddir)/kernel/corenetwork.te.in
	@echo "#" > $@

=== policy/flask/Makefile ===
PYTHON ?= python

# flask needs to know where to export the libselinux headers.
LIBSELINUX_D ?= ../../libselinux

# flask needs to know where to export the kernel headers.
LINUX_D ?= ../../../linux-2.6

ACCESS_VECTORS_F = access_vectors
INITIAL_SIDS_F = initial_sids
SECURITY_CLASSES_F = security_classes

USER_D = userspace
KERN_D = kernel

LIBSELINUX_INCLUDE_H = flask.h av_permissions.h
LIBSELINUX_SOURCE_H = class_to_string.h av_inherit.h common_perm_to_string.h av_perm_to_string.h

FLASK_H = class_to_string.h flask.h initial_sid_to_string.h
ACCESS_VECTORS_H = av_inherit.h common_perm_to_string.h av_perm_to_string.h av_permissions.h
ALL_H = $(FLASK_H) $(ACCESS_VECTORS_H)

USER_H = $(addprefix $(USER_D)/, $(ALL_H))
KERN_H = $(addprefix $(KERN_D)/, $(ALL_H))

FLASK_NOWARNINGS = --nowarnings

all:  $(USER_H) $(KERN_H)

$(USER_H): flask.py $(ACCESS_VECTORS_F) $(INITIAL_SIDS_F) $(SECURITY_CLASSES_F)
	mkdir -p $(USER_D)
	$(PYTHON) flask.py -a $(ACCESS_VECTORS_F) -i $(INITIAL_SIDS_F) -s $(SECURITY_CLASSES_F) -o $(USER_D) -u $(FLASK_NOWARNINGS)

$(KERN_H): flask.py $(ACCESS_VECTORS_F) $(INITIAL_SIDS_F) $(SECURITY_CLASSES_F)
	mkdir -p $(KERN_D) 
	$(PYTHON) flask.py -a $(ACCESS_VECTORS_F) -i $(INITIAL_SIDS_F) -s $(SECURITY_CLASSES_F) -o $(KERN_D) -k $(FLASK_NOWARNINGS)

tolib: all
	install -m 644 $(addprefix $(USER_D)/, $(LIBSELINUX_INCLUDE_H)) $(LIBSELINUX_D)/include/selinux
	install -m 644 $(addprefix $(USER_D)/, $(LIBSELINUX_SOURCE_H)) $(LIBSELINUX_D)/src

tokern: all
	install -m 644 $(KERN_H) $(LINUX_D)/security/selinux/include

install: all

relabel:

clean:  
	rm -fr userspace
	rm -fr kernel

=== debian/changelog ===
refpolicy (2:2.20180114-1) unstable; urgency=medium

  * New upstream 2.20180114 with patch from git version 2.20180220.
    Took that patch because a lot of it was policy I developed.
  * Delete the deprecated macro mmap_file_perms, anyone who uses this should
    change to mmap_exec_file_perms instead.  Closes: #885771
  * Now build-depend on recent toolchain.  Closes: #875546
  * Removed typebounds patch that upstream didn't like, seems to work ok
    without it now, but we can use nnp_transition if necessary.

 -- Russell Coker <russell@coker.com.au>  Mon, 26 Feb 2018 23:25:27 +1100

refpolicy (2:2.20171228-1) unstable; urgency=medium

  * New upstream from git with lots of Debian patches merged.  This policy is
    not a candidate for Buster or anything, I'm uploading it to facilitate
    SE Linux development.  The next time Tresys make an official release I'll
    put it in Debian Git and make it a candidate for Buster.
  * Removed authbind policy
  * Set WERROR=y to remove deprecated interfaces
  * Enable UBAC for mcs policy
  * Use compat level 11

 -- Russell Coker <russell@coker.com.au>  Thu, 28 Dec 2017 17:46:57 +1100

=== debian/control ===
Source: refpolicy
VCS-Git: https://anonscm.debian.org/git/selinux/refpolicy.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/refpolicy.git;a=summary
Priority: optional
Section: admin
Homepage: https://github.com/TresysTechnology/refpolicy/wiki
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bzip2,
                     checkpolicy (>= 2.7~rc2-1),
                     gawk,
                     libsepol1 (>= 2.7~rc2-1),
                     m4,
                     policycoreutils (>= 2.6),
                     policycoreutils-python-utils (>= 2.6),
                     python,
# Needed for the --sort=name option, can probably be removed when this version
# hits stable.
                     tar (>= 1.28)

Package: selinux-policy-default
Architecture: all
Depends: libselinux1 (>= 2.5),
         libsemanage1 (>= 2.5),
         libsepol1 (>= 2.5),
         policycoreutils (>= 2.5),
         selinux-utils (>= 2.5),
         ${misc:Depends}
Recommends: checkpolicy, setools
Suggests: logcheck, syslog-summary
Breaks: selinux-basics (<< 0.5.2~)
Conflicts: mcstrans
Description: Strict and Targeted variants of the SELinux policy
 This is the reference policy for SE Linux.  In the default configuration it
 will provide the functionality previously known as the "targeted" policy.  If
 the module "unconfined" is removed then it provides the functionality
 previously known as the "strict" policy.
 .
 This uses the MMCS system of categories.

Package: selinux-policy-mls
Architecture: all
Priority: extra
Depends: libselinux1 (>= 2.4),
         libsemanage1 (>= 2.4),
         libsepol1 (>= 2.4),
         policycoreutils (>= 2.4),
         selinux-utils (>= 2.4),
         ${misc:Depends}
Recommends: checkpolicy, setools
Suggests: logcheck, syslog-summary
Breaks: selinux-basics (<< 0.5.2~)
Conflicts: mcstrans
Description: MLS (Multi Level Security) variant of the SELinux policy
 This is the reference policy for SE Linux built with MLS support.  It allows
 giving data labels such as "Top Secret" and preventing such data from leaking
 to processes or files with lower classification.
 .
 It was developed for Common Criteria LSPP certification for RHEL.  It will
 probably never be well supported in Debian and is only recommended for
 students who want to learn about the security features used by the military.

Package: selinux-policy-src
Architecture: all
Depends: checkpolicy (>= 2.4),
         gawk,
         make,
         policycoreutils (>= 2.4),
         policycoreutils-python-utils (>= 2.4),
         python,
         ${misc:Depends}
Recommends: policycoreutils-dev (>= 2.4), setools
Suggests: logcheck, syslog-summary
Description: Source of the SELinux reference policy for customization
 The SELinux Reference Policy (refpolicy) is a complete SELinux
 policy, as an alternative to the existing strict and targeted
 policies available from http://selinux.sf.net. The goal is to have
 this policy as the system policy, be and used as the basis for
 creating other policies. Refpolicy is based on the current strict and
 targeted policies, but aims to accomplish many additional
 goals:
  + Strong Modularity
  + Clearly stated security Goals
  + Documentation
  + Development Tool Support
  + Forward Looking
  + Configurability
  + Flexible Base Policy
  + Application Policy Variations
  + Multi-Level Security
 .
 This is the source of the policy, provided so that local variations of
 SELinux policy may be created.

Package: selinux-policy-dev
Architecture: all
Depends: checkpolicy (>= 2.4),
         gawk,
         m4,
         make,
         policycoreutils (>= 2.4),
         policycoreutils-dev (>= 2.4),
         policycoreutils-python-utils (>= 2.4),
         python,
         selinux-utils (>= 2.4),
         ${misc:Depends}
Recommends: setools
Description: Headers from the SELinux reference policy for building modules
 The SELinux Reference Policy (refpolicy) is a complete SELinux
 policy, as an alternative to the existing strict and targeted
 policies available from http://selinux.sf.net. The goal is to have
 this policy as the system policy, be and used as the basis for
 creating other policies. Refpolicy is based on the current strict and
 targeted policies, but aims to accomplish many additional
 goals:
  + Strong Modularity
  + Clearly stated security Goals
  + Documentation
  + Development Tool Support
  + Forward Looking
  + Configurability
  + Flexible Base Policy
  + Application Policy Variations
  + Multi-Level Security
 .
 This package provides header files for building your own SELinux
 policy packages compatible with official policy packages.

Package: selinux-policy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: gcc, make
Conflicts: selinux-policy-refpolicy-doc
Description: Documentation for the SELinux reference policy
 The SELinux Reference Policy (refpolicy) is a complete SELinux
 policy, as an alternative to the existing strict and targeted
 policies available from http://selinux.sf.net. The goal is to have
 this policy as the system policy, be and used as the basis for
 creating other policies. Refpolicy is based on the current strict and
 targeted policies, but aims to accomplish many additional
 goals:
  + Strong Modularity
  + Clearly stated security Goals
  + Documentation
  + Development Tool Support
  + Forward Looking
  + Configurability
  + Flexible Base Policy
  + Application Policy Variations
  + Multi-Level Security
 .
 This package contains the documentation for the reference policy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

COMMON_OPTIONS = DISTRO=debian DIRECT_INITRC=y MONOLITHIC=n SYSTEMD=y WERROR=y
FLAVOURS = default mls
TYPE_default = mcs
UBAC_default = y
UNK_PERMS_default = allow
TYPE_mls = mls
UBAC_mls = n
UNK_PERMS_mls = deny

BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_configure: $(patsubst %, conf-%-policy, $(FLAVOURS)) conf-docs conf-src

override_dh_install:
	dh_install
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/selinux-policy-dev/usr/share/selinux/devel/include/support/segenxml.py
	chmod 0700 $(CURDIR)/debian/selinux-policy-default/var/lib/selinux/default $(CURDIR)/debian/selinux-policy-mls/var/lib/selinux/mls

override_dh_compress:
	dh_compress
	for flavour in $(FLAVOURS) ; do \
	  for f in $(CURDIR)/debian/selinux-policy-$$flavour/usr/share/selinux/$$flavour/*.pp ; do \
	    bzip2 -9f $$f; \
	  done; \
	done

override_dh_installdeb:
	for flavour in $(FLAVOURS) ; do \
	  sed -e "s/=FLAVOUR=/$$flavour/g" debian/postinst.policy > $(CURDIR)/debian/selinux-policy-$$flavour.postinst; \
	  sed -e "s/=FLAVOUR=/$$flavour/g" debian/postrm.policy > $(CURDIR)/debian/selinux-policy-$$flavour.postrm; \
	done
	dh_installdeb

override_dh_clean:
	dh_clean
	$(MAKE) bare
	for flavour in $(FLAVOURS) ; do \
	  rm -f $(CURDIR)/debian/selinux-policy-$$flavour.postinst; \
	  rm -f $(CURDIR)/debian/selinux-policy-$$flavour.postrm; \
	  rm -rf $(CURDIR)/debian/build-$$flavour; \
	  rm -f build-$$flavour-policy; \
	  rm -f install-$$flavour-policy; \
	  rm -f conf-$$flavour-policy; \
	done
	rm -f install-default-dev;
	rm -rf $(CURDIR)/debian/build-docs;
	rm -rf $(CURDIR)/debian/build-src;
	rm -f support/pyplate.pyc conf-docs install-docs conf-src install-src

override_dh_auto_build: $(patsubst %, build-%-policy, $(FLAVOURS))

override_dh_auto_install: $(patsubst %, install-%-policy, $(FLAVOURS)) install-default-dev install-docs install-src

conf-%-policy:
	test ! -d $(CURDIR)/debian/build-$* ||                             \
            rm -rf $(CURDIR)/debian/build-$*
	mkdir -p    $(CURDIR)/debian/build-$*
	cp -lr policy support Makefile Rules.modular doc                   \
            Rules.monolithic config VERSION Changelog COPYING INSTALL      \
            README man $(CURDIR)/debian/build-$*
	cp debian/build.conf.$* $(CURDIR)/debian/build-$*/build.conf
	$(MAKE) -C $(CURDIR)/debian/build-$*                               \
                   NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) bare
	(cd $(CURDIR)/debian/build-$* ;                            \
           $(MAKE) NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) conf)
	cp debian/modules.conf.$*                                          \
                     $(CURDIR)/debian/build-$*/policy/modules.conf
	touch $@

conf-docs:
	test ! -d $(CURDIR)/debian/build-docs ||                   \
           rm -rf $(CURDIR)/debian/build-docs
	mkdir -p    $(CURDIR)/debian/build-docs
	cp -lr policy support Makefile Rules.modular doc                \
                Rules.monolithic config VERSION Changelog COPYING INSTALL   \
                README man $(CURDIR)/debian/build-docs
	cp  debian/build.conf.default $(CURDIR)/debian/build-docs/build.conf
	(cd $(CURDIR)/debian/build-docs ;                          \
           $(MAKE) NAME=default TYPE=mcs UBAC=y UNK_PERMS=allow $(COMMON_OPTIONS) conf)
	touch $@

conf-src:
	test ! -d $(CURDIR)/debian/build-src ||                  \
	    rm -rf $(CURDIR)/debian/build-src
	mkdir -p    $(CURDIR)/debian/build-src
	cp -lr policy support Makefile Rules.modular  doc               \
	       Rules.monolithic config VERSION Changelog COPYING INSTALL  \
	        README man $(CURDIR)/debian/build-src
	cp  debian/build.conf.default $(CURDIR)/debian/build-src/build.conf
	(cd $(CURDIR)/debian/build-src ;                         \
	   $(MAKE) NAME=default $(OPTIONS) conf)
	cp debian/modules.conf.*      $(CURDIR)/debian/build-src/policy/
	cp debian/build.conf.default $(CURDIR)/debian/build-src/policy/
	touch $@


build-%-policy: conf-%-policy
	(cd $(CURDIR)/debian/build-$* ;                          \
             $(MAKE) NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) policy)
	touch $@

install-%-policy: build-%-policy
	(cd $(CURDIR)/debian/build-$*; \
	    $(MAKE) NAME=$* TYPE=$(TYPE_$*) UBAC=$(UBAC_$*) UNK_PERMS=$(UNK_PERMS_$*) $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp install)
	cp -a debian/setrans.conf.$* $(CURDIR)/debian/tmp/etc/selinux/$*/setrans.conf
	mkdir -p $(CURDIR)/debian/tmp/etc/selinux/$*/contexts/files/
	mkdir -p $(CURDIR)/debian/tmp/etc/selinux/$*/policy/
	mkdir -p $(CURDIR)/debian/tmp/var/lib/selinux/$*
# Create a list with the modules we are shipping
	(cd $(CURDIR)/debian/tmp/usr/share/selinux/$*; LC_ALL=C ls -1 | cut -d. -f1 > .modules)
	(cd $(CURDIR)/debian/tmp/usr/share/selinux/$*; grep -P '^[a-z0-9_]+\s*=\s*base$$' $(CURDIR)/debian/build-$*/policy/modules.conf | cut -d= -f1 | awk '{$$1=$$1};1' | LC_ALL=C sort > .basemodules)
	touch $@

# The headers are based on the default policy
install-default-dev: build-default-policy
	(cd $(CURDIR)/debian/build-default; \
	    $(MAKE) NAME=default TYPE=$(TYPE_default) UBAC=$(UBAC_default) UNK_PERMS=$(UNK_PERMS_default) $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp install-headers)
	mkdir -p $(CURDIR)/debian/tmp/usr/share/selinux/devel/
	mv $(CURDIR)/debian/tmp/usr/share/selinux/default/include $(CURDIR)/debian/tmp/usr/share/selinux/devel/
	cp -a $(CURDIR)/debian/build-default/doc/policy.dtd $(CURDIR)/debian/tmp/usr/share/selinux/devel/
	cp -a $(CURDIR)/debian/build-default/doc/policy.xml $(CURDIR)/debian/tmp/usr/share/selinux/devel/
	grep -v genfscon.selinuxfs $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if > $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if.new
	mv $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if.new $(CURDIR)/debian/tmp/usr/share/selinux/devel/include/kernel/selinux.if
	cp -a $(CURDIR)/debian/Makefile.devel $(CURDIR)/debian/tmp/usr/share/selinux/devel/Makefile
	touch $@

install-docs: conf-docs
	(cd $(CURDIR)/debian/build-docs; \
	    $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ PKGNAME=selinux-policy-doc conf \
	    $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ PKGNAME=selinux-policy-doc html \
	    $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ PKGNAME=selinux-policy-doc install-docs)
	touch $@

install-src: conf-src
	mkdir -p    $(CURDIR)/debian/tmp/usr/src
	(cd $(CURDIR)/debian/build-src;                                 \
	 $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ bare; \
	 $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ conf; \
	 $(MAKE) NAME=default TYPE=mcs UBAC=n UNK_PERMS=allow $(COMMON_OPTIONS) DESTDIR=$(CURDIR)/debian/tmp/ install-src; )
	find $(CURDIR)/debian/tmp -type d -name .arch-ids -print0 | xargs -0r rm -rf
	test ! -e $(CURDIR)/debian/tmp/etc/selinux/default/src/policy/COPYING || \
	   rm -f $(CURDIR)/debian/tmp/etc/selinux/default/src/policy/COPYING
	rm -rf   $(CURDIR)/debian/tmp/etc/selinux/default/src/policy/man
	(cd $(CURDIR)/debian/tmp/etc/selinux/default/src/policy;                   \
	  if test -f modules.conf; then                                   \
	      mv modules.conf modules.conf.dist;                          \
	  fi;                                                             \
	  ln -sf modules.conf.mls modules.conf)

## refpolicy 2.20190201

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 GREP ?= egrep
 INSTALL ?= install
 M4 ?= m4 -E -E
-PYTHON ?= python -t -t -E -W error
+PYTHON ?= python3 -t -t -E -W error
 SED ?= sed
 SORT ?= LC_ALL=C sort
 UMASK ?= umask
@@ -110,6 +110,7 @@
 # use our own genhomedircon to make sure we have a known usable one,
 # so policycoreutils updates are not required (RHEL4)
 genhomedircon := $(PYTHON) $(support)/genhomedircon.py
+gentemplates := $(support)/gentemplates.sh
 
 # documentation paths
 docs := doc
@@ -375,4 +376,3 @@
 		| $(SED) -e 's/dollarsone/\$$1/g' -e 's/dollarszero/\$$0/g' >> $@
 
 $(moddir)/kernel/corenetwork.te: $(m4divert) $(moddir)/kernel/corenetwork.te.m4 $(m4undivert) $(moddir)/kernel/corenetwork.te.in
-	@echo "#" > $@

=== debian/changelog ===
refpolicy (2:2.20190201-2) unstable; urgency=medium

  * Lots of little changes, many for strict configuration.
  * Added policy for certbot AKA letsencrypt.

 -- Russell Coker <russell@coker.com.au>  Fri, 22 Feb 2019 00:09:29 +1100

refpolicy (2:2.20190201-1) unstable; urgency=medium

  * New upstream, lots of Debian patches upstreamed.
  * More systemd support (moving target).
  * New upstream Chromium/Chrome policy.
  * Add xserver_allow_dri tunable for most X server programs to get DRI access.

 -- Russell Coker <russell@coker.com.au>  Sun, 03 Feb 2019 23:28:32 +1100

refpolicy (2:2.20180701-1) unstable; urgency=medium

  * New upstream policy.
  * Depend on version 2.8 of utils.
  * Build new xdg module for X data types.
  * Lots fo policy changes

 -- Russell Coker <russell@coker.com.au>  Mon, 21 Jan 2019 14:05:59 +1100

refpolicy (2:2.20180114-5) unstable; urgency=medium

  * Updated everything in debian/control to refer to version 2.7 of SE Linux
    packages.
  * Lots of little policy changes.

 -- Russell Coker <russell@coker.com.au>  Wed, 02 Jan 2019 10:24:07 +1100

refpolicy (2:2.20180114-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/control: Bump debhelper build-dependency version to 11 to match
    debian/compat version
  * debian/control: Bump python {build-}dependencies to python3 (Closes:
    #900285)
  * debian/rules: Drop --parallel flag passed to dh command, this is the
    default with debhelper >= 10
  * debian/control: Bump Priority of selinux-policy-mls to optional, Priority
    extra is now deprecated
  * debian/policygentool: Port to python3
  * debian/patches/python3-buildsystem.patch: Port the buildsystem to use
    python3
  * Drop debian/source/lintian-overrides, overrides not used anymore

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 May 2018 11:42:05 +0200

refpolicy (2:2.20180114-3) unstable; urgency=medium

  * Added git patch for 20180319.
  * Added git patch for 20180419, fixes lots of typos which changes the
    way things work.  Also adds sctp protocol support.
  * Added git patch for 20180519.
  * Build-depend on version 2.7-2 of checkpolicy and libsepol1-dev and Depend
    on version 2.7-2 of libsepol1 for sctp support.
  * Changed all Build-depends and Depends to version 2.7 from 2.5 and 2.6
    because there's no reason to try to build against ancient versions and we
    don't want to deal with annoying bugs later.
  * Allow mon_t to read generic certs for using SSL for notifications
  * Allow systemd_nspawn_t the mcs_killall if systemd_nspawn_labeled_namespace
    is enabled
  * Allow udev_t to run iptables in iptables_t
  * Some other little systemd stuff

 -- Russell Coker <russell@coker.com.au>  Sat, 19 May 2018 11:12:41 +1000

refpolicy (2:2.20180114-2) unstable; urgency=medium

  * Included changelog entry 2:2.20161023.1-10

 -- Russell Coker <russell@coker.com.au>  Tue, 06 Mar 2018 14:17:33 +1100

refpolicy (2:2.20161023.1-10) unstable; urgency=medium

  * Add patch for typebounds. This patch was rejected upstream, to quote
    Chris PeBenito:
    NAK.  This has already been fixed with the upcoming nnp_transition
    nosuid_transition permissions in refpolicy.  I'm afraid distros will
    have to carry policy patches until they can roll out kernels that
    support these permissions.
    https://marc.info/?l=selinux&m=150151037511601&w=2
    Closes: #874201
  * Allow systemd-tmpfiles to delete /var/lib/sudo files.
    Closes: #875668
  * Allow brctl to create files in sysfs and correctly label
    /usr/lib/bridge-utils/.*\.sh
    Closes: #875669
  * Give bootloader_t all the access it needs to create initramfs images in
    different situations and communicate with dpkg_t.
    Closes: #875676
  * Allow dnsmasq_t to read it's config dir
    Closes: #875681
  * Build-depend and depend on version 2.7 of tools and libraries.
  * Allow systemd_tmpfiles_t to manage lastlog_t
    Closes: #875726
  * Allow udev_t to talk to init via dbus and get service status in strict
    configuration
    Closes: #875727

 -- Russell Coker <russell@coker.com.au>  Wed, 13 Sep 2017 23:47:21 +1000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: refpolicy
-VCS-Git: https://anonscm.debian.org/git/selinux/refpolicy.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/refpolicy.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/refpolicy.git
+VCS-Browser: https://salsa.debian.org/selinux-team/refpolicy
 Priority: optional
 Section: admin
-Homepage: https://github.com/TresysTechnology/refpolicy/wiki
+Homepage: https://github.com/SELinuxProject/refpolicy/releases
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: bzip2,
-                     checkpolicy (>= 2.7~rc2-1),
+                     checkpolicy (>= 2.8-1),
                      gawk,
-                     libsepol1 (>= 2.7~rc2-1),
+                     libsepol1 (>= 2.8-1),
                      m4,
-                     policycoreutils (>= 2.6),
-                     policycoreutils-python-utils (>= 2.6),
-                     python,
+                     policycoreutils (>= 2.8-1),
+                     policycoreutils-python-utils (>= 2.8-1),
+                     python3,
 # Needed for the --sort=name option, can probably be removed when this version
 # hits stable.
                      tar (>= 1.28)
 
 Package: selinux-policy-default
 Architecture: all
-Depends: libselinux1 (>= 2.5),
-         libsemanage1 (>= 2.5),
-         libsepol1 (>= 2.5),
-         policycoreutils (>= 2.5),
-         selinux-utils (>= 2.5),
+Depends: libselinux1 (>= 2.8-1),
+         libsemanage1 (>= 2.8-1),
+         libsepol1 (>= 2.8-1),
+         policycoreutils (>= 2.8-1),
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -42,12 +42,11 @@
 
 Package: selinux-policy-mls
 Architecture: all
-Priority: extra
-Depends: libselinux1 (>= 2.4),
-         libsemanage1 (>= 2.4),
-         libsepol1 (>= 2.4),
-         policycoreutils (>= 2.4),
-         selinux-utils (>= 2.4),
+Depends: libselinux1 (>= 2.8-1),
+         libsemanage1 (>= 2.8-1),
+         libsepol1 (>= 2.8-1),
+         policycoreutils (>= 2.8-1),
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -64,14 +63,14 @@
 
 Package: selinux-policy-src
 Architecture: all
-Depends: checkpolicy (>= 2.4),
+Depends: checkpolicy (>= 2.8-1),
          gawk,
          make,
-         policycoreutils (>= 2.4),
-         policycoreutils-python-utils (>= 2.4),
-         python,
+         policycoreutils (>= 2.8-1),
+         policycoreutils-python-utils (>= 2.8-1),
+         python3,
          ${misc:Depends}
-Recommends: policycoreutils-dev (>= 2.4), setools
+Recommends: policycoreutils-dev (>= 2.8-1), setools
 Suggests: logcheck, syslog-summary
 Description: Source of the SELinux reference policy for customization
  The SELinux Reference Policy (refpolicy) is a complete SELinux
@@ -96,15 +95,15 @@
 
 Package: selinux-policy-dev
 Architecture: all
-Depends: checkpolicy (>= 2.4),
+Depends: checkpolicy (>= 2.8-1),
          gawk,
          m4,
          make,
-         policycoreutils (>= 2.4),
-         policycoreutils-dev (>= 2.4),
-         policycoreutils-python-utils (>= 2.4),
-         python,
-         selinux-utils (>= 2.4),
+         policycoreutils (>= 2.8-1),
+         policycoreutils-dev (>= 2.8-1),
+         policycoreutils-python-utils (>= 2.8-1),
+         python3,
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: setools
 Description: Headers from the SELinux reference policy for building modules

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure: $(patsubst %, conf-%-policy, $(FLAVOURS)) conf-docs conf-src

=== debian/watch ===
version=3

opts="uversionmangle=s/^2./2./" \
https://github.com/TresysTechnology/refpolicy/wiki/DownloadRelease \
 (?:.*)/refpolicy/files/refpolicy-(.*)\.tar\.bz2

## refpolicy 2.20200502

=== Makefile ===
--- 
+++ 
@@ -76,8 +76,6 @@
 SORT ?= LC_ALL=C sort
 UMASK ?= umask
 
-CFLAGS += -Wall -Wextra -Werror -O2
-
 # policy source layout
 poldir := policy
 moddir := $(poldir)/modules
@@ -98,7 +96,7 @@
 gendoc := $(PYTHON) $(support)/sedoctool.py
 genperm := $(PYTHON) $(support)/genclassperms.py
 policyvers := $(PYTHON) $(support)/policyvers.py
-fcsort := $(tmpdir)/fc_sort
+fcsort := $(PYTHON) $(support)/fc_sort.py
 setbools := $(AWK) -f $(support)/set_bools_tuns.awk
 get_type_attr_decl := $(SED) -r -f $(support)/get_type_attr_decl.sed
 comment_move_decl := $(SED) -r -f $(support)/comment_move_decl.sed
@@ -124,11 +122,13 @@
 tunxml := $(docs)/global_tunables.xml
 boolxml := $(docs)/global_booleans.xml
 htmldir := $(docs)/html
+doctmpdir := $(docs)/tmp
 else
 polxml := $(LOCAL_ROOT)/doc/policy.xml
 tunxml := $(LOCAL_ROOT)/doc/global_tunables.xml
 boolxml := $(LOCAL_ROOT)/doc/global_booleans.xml
 htmldir := $(LOCAL_ROOT)/doc/html
+doctmpdir := $(LOCAL_ROOT)/doc/tmp
 endif
 
 # config file paths
@@ -161,7 +161,6 @@
 homedirpath := $(contextpath)/files/homedir_template
 fcpath := $(contextpath)/files/file_contexts
 fcsubspath := $(contextpath)/files/file_contexts.subs_dist
-ncpath := $(contextpath)/netfilter_contexts
 sharedir := $(prefix)/share/selinux
 modpkgdir := $(sharedir)/$(strip $(NAME))
 headerdir := $(modpkgdir)/include
@@ -258,10 +257,12 @@
 user_default_contexts_names := $(addprefix $(contextpath)/users/,$(subst _default_contexts,,$(notdir $(user_default_contexts))))
 appfiles := $(addprefix $(appdir)/,default_contexts default_type initrc_context failsafe_context userhelper_context removable_context dbus_contexts sepgsql_contexts x_contexts customizable_types securetty_types lxc_contexts openrc_contexts virtual_domain_context virtual_image_context) $(contextpath)/files/media $(fcsubspath) $(user_default_contexts_names)
 net_contexts := $(builddir)net_contexts
-
-all_layers := $(shell find $(wildcard $(moddir)/*) -maxdepth 0 -type d)
-ifdef LOCAL_ROOT
-all_layers += $(shell find $(wildcard $(local_moddir)/*) -maxdepth 0 -type d)
+net_contexts_nft := $(builddir)net_contexts.nft
+docfiles += $(net_contexts) $(net_contexts_nft)
+
+all_layers := $(shell find $(moddir)/* -maxdepth 0 -type d)
+ifdef LOCAL_ROOT
+all_layers += $(shell find $(local_moddir)/* -maxdepth 0 -type d)
 endif
 
 generated_te := $(basename $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te.in)))
@@ -272,8 +273,8 @@
 # when a generated file is already generated
 detected_mods := $(sort $(foreach dir,$(all_layers),$(wildcard $(dir)/*.te)) $(generated_te))
 
-modxml := $(addprefix $(tmpdir)/, $(detected_mods:.te=.xml))
-layerxml := $(sort $(addprefix $(tmpdir)/, $(notdir $(addsuffix .xml,$(all_layers)))))
+modxml := $(addprefix $(doctmpdir)/, $(detected_mods:.te=.xml))
+layerxml := $(sort $(addprefix $(doctmpdir)/, $(notdir $(addsuffix .xml,$(all_layers)))))
 layer_names := $(sort $(notdir $(all_layers)))
 all_metaxml = $(call detect-metaxml, $(layer_names))
 
@@ -375,4 +376,3 @@
 		| $(M4) -D self_contained_policy $(M4PARAM) $(m4divert) $@.m4 $(m4undivert) - \
 		| $(SED) -e 's/dollarsone/\$$1/g' -e 's/dollarszero/\$$0/g' >> $@
 
-$(moddir)/kernel/corenetwork.te: $(m4divert) $(moddir)/kernel/corenetwork.te.m4 $(m4undivert) $(moddir)/kernel/corenetwork.te.in

=== debian/changelog ===
refpolicy (2:2.20200502-1) unstable; urgency=medium

  * New archive taken from upstream git.  Will base it mostly on git for the
    development leading to Buster and then take the latest upstream release
    shortly before release.
  * Lots of new policy patches.
  * Make it depend and build depend on version 3.0 of all libraries
  * Makde the default_contexts have sysadm_r with a higher preference than
    staff_r for sshd_t
  * Made dbus a base module

 -- Russell Coker <russell@coker.com.au>  Sat, 02 May 2020 19:20:27 +1000

refpolicy (2:2.20190201-9) unstable; urgency=medium

  * Some more small policy fixes

 -- Russell Coker <russell@coker.com.au>  Wed, 29 Apr 2020 19:32:04 +1000

refpolicy (2:2.20190201-8) unstable; urgency=medium

  * Team upload.
  * debian/patches/0001-remove-incorrect-usage-of-is.patch: Fix FTBFS with
    python 3.8 (Closes: #954510)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Apr 2020 10:59:43 +0200

refpolicy (2:2.20190201-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #954018)

 -- Paul Gevers <elbrus@debian.org>  Sun, 15 Mar 2020 20:28:12 +0100

refpolicy (2:2.20190201-7) unstable; urgency=medium

  * Allow sysadm_r to bypass UBAC checks (experimental)
  * Make cron work for sysadm_t
  * Minor policy changes

 -- Russell Coker <russell@coker.com.au>  Wed, 15 Jan 2020 18:53:25 +1100

refpolicy (2:2.20190201-6) unstable; urgency=medium

  * Team upload.
  * debian/rules: Cleanup the support/__pycache__ directory when building the
    selinux-policy-src package
  * debian/rules: Set the timezone to UTC before creating the
    selinux-policy-src tarball, that should make it reproductible

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Dec 2019 13:34:27 +0100

refpolicy (2:2.20190201-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0 (no further changes)
  * debian/control: Remove the package (-1) revision from the
    {build-}dependencies, to please lintian
  * Drop debian/source/lintian-overrides, the postrm perl scripts are gone
    for a long time, not sure why these overrides were reintroduced
  * debian/rules: Do not call dpkg-parsechangelog explicitly to get a
    reproductible build time but rely on SOURCE_DATE_EPOCH variable
  * debian/watch: Fix the URL now that the project has been relocated

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Aug 2019 15:54:34 +0200

refpolicy (2:2.20190201-4) unstable; urgency=medium

  * Policy update, lots of little things and allows the signull access that
    systemd-journal from the latest systemd wants.

 -- Russell Coker <russell@coker.com.au>  Thu, 30 May 2019 10:28:24 +1000

refpolicy (2:2.20190201-3) unstable; urgency=medium

  * Added policy for apt-cacher and apt-cacher-ng
  * Added policy for memlockd
  * Added type alias rules so you can upgrade from Stretch policy without a
    reboot if you manually relabel.
  * Lots of little changes too

 -- Russell Coker <russell@coker.com.au>  Sun, 03 Mar 2019 20:44:04 +1100
